package com.cleanmaster.sync.binder.impl;

import com.cleanmaster.sync.binder.impl.INotificationListener;

interface NotificationService {

    void register(INotificationListener listener);

    void unregister();

    StatusBarNotification[] getActiveNotifications();

    StatusBarNotification[] getCurrentNotifications();

    boolean isNotificationListenerEmpty();

    boolean isBinded();

    void cancelNotificationByKey(String key);

    void cancelNotification(String pkgName, String tag, int id);

    void setIsDealEventForDialog(boolean isDealDialogEvent);

    void performClick(String pkgName, String title);

    void accessibilitySwitch(int type, boolean enable);

}
