package com.cleanmaster.sync.binder.impl;

import com.cleanmaster.weather.data.WeatherData;
import com.cleanmaster.weather.data.AlertWeatherData;
import com.cleanmaster.weather.data.HourlyForecastData;
import com.cleanmaster.weather.data.SunPhaseTimeInfo;

interface WeatherService{
	WeatherData getHomeZoneTodayWeather();

	WeatherData getTodayWeather();

	WeatherData[] getSpecifyDaysWeather(int nDays);

	AlertWeatherData getAlertWeather();

    AlertWeatherData[] getAlertWeathers();

    HourlyForecastData[] getHourlyForecastDatas();

    HourlyForecastData getNewestHourlyForecastData();

	SunPhaseTimeInfo getSunPhaseTimeInfo();

	void removeWeatherData();

	void reInit();
}