package com.cleanmaster.sync.binder.impl;

import android.service.notification.StatusBarNotification;

interface INotificationListener {

    void onCreate();

    void onDestroy();

    void onNotificationRemoved(in StatusBarNotification notification);

    void onNotificationPosted(in StatusBarNotification notification);

    void notify(String packageName, int id, String tag, in Notification notification);

    void onNotificationRemovedByPkg(String pkgName, int id, String tag);

    void onShowToast(int id);

}
