// PermissionService.aidl
package com.cleanmaster.sync.binder.impl.permission;

// Declare any non-default types here with import statements
import com.cleanmaster.sync.binder.impl.permission.IPermissionServiceStatusListener;
import com.permission.action.IntentItem;
import com.permission.action.ActionItem;

interface PermissionService {

    void register(IPermissionServiceStatusListener listener);

    void unregister(IPermissionServiceStatusListener listener);

    void start(int mode, in IntentItem intentItem, in ActionItem[] actionItems, int permissionType);

    void upgradePassword();

    void updateServiceInfo(in List<String> pkgs);

    void cancel();

    void run(int type);

}
